# ai_types.hpp File Reference

Defines all the types of the game, like VehicleID, . More...

`#include "../../core/overflowsafe_type.hpp"`
`#include "../../company_type.h"`

Go to the source code of this file.

## Typedefs

typedef uint | BridgeType
| Internal name, not of any use for you.
typedef byte | CargoID
| The ID of a cargo.
typedef uint16 | EngineID
| The cost of a command.
typedef uint16 | GroupID
| The ID of a group.
typedef uint16 | IndustryID
| The ID of an industry.
typedef uint8 | IndustryType
| The ID of an industry-type.
typedef OverflowSafeInt64 | Money
| Money, stored in a 32bit/64bit safe way. For AIs money is always in pounds.
typedef uint16 | SignID
| The ID of a sign.
typedef uint16 | StationID
| The ID of a station.
typedef uint16 | StringID
| The ID of a string.
typedef uint32 | TileIndex
| The ID of a tile (just named differently).
typedef uint16 | TownID
| The ID of a town.
typedef uint16 | VehicleID
| The ID of a vehicle.
typedef uint | AIErrorType
| The types of errors inside the NoAI framework.
typedef BridgeType | BridgeID
| The ID of a bridge.
typedef uint16 | SubsidyID
| The ID of a subsidy.
typedef struct SQVM * | HSQUIRRELVM
| Pointer to Squirrel Virtual Machine.
typedef int | SQInteger
| Squirrel Integer.
typedef struct SQObject | HSQOBJECT
| Squirrel Object (fake declare).

## Detailed Description

Defines all the types of the game, like VehicleID, .

...

Definition in file ai_types.hpp.

## Typedef Documentation

typedef uint16 EngineID

The cost of a command.

The ID of an engine.

Definition at line 14 of file ai_types.hpp.